#
# Module services
#
# Copyright (c) 2011-present Qualiteam software Ltd. All rights reserved.
# See https://www.x-cart.com/license-agreement.html for license details.
services:
  _defaults:
    autowire: true
    autoconfigure: true

  QSL\AdvancedContactUs\EntityCallback\LanguageLabelCallback:
    tags:
      - { name: doctrine.orm.entity_listener, event: postPersist, entity: XLite\Model\LanguageLabel }
      - { name: doctrine.orm.entity_listener, event: postUpdate, entity: XLite\Model\LanguageLabel }
      - { name: doctrine.orm.entity_listener, event: postRemove, entity: XLite\Model\LanguageLabel }
  QSL\AdvancedContactUs\EntityCallback\LanguageLabelTranslationCallback:
    tags:
      - { name: doctrine.orm.entity_listener, event: postPersist, entity: XLite\Model\LanguageLabelTranslation }
      - { name: doctrine.orm.entity_listener, event: postUpdate, entity: XLite\Model\LanguageLabelTranslation }
      - { name: doctrine.orm.entity_listener, event: postRemove, entity: XLite\Model\LanguageLabelTranslation }
